package com.muyu.common.nacos.service;

/**
 * @Author: 胡杨
 * @Name: NacosServerService
 * @Description: nacos接口实现类
 * @CreatedDate: 2024/8/9 下午7:56
 * @FilePath: com.muyu.common.acos.service
 */


import com.muyu.common.nacos.remote.NacosServiceRemote;
import com.muyu.common.nacos.remote.req.NacosListReq;
import com.muyu.common.nacos.remote.resp.NacoeListResp;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: 胡杨
 * @Name: NacosServerService
 * @Description: nacos接口实现类
 * @CreatedDate: 2024/8/9 下午7:56
 * @FilePath: com.muyu.common.acos.service
 */

public class NacosServerService {
    @Resource
    private NacosServiceRemote nacosServiceRemote;

    public List<String> getServerListAll(){
        ArrayList<String> serverList = new ArrayList<>();
        NacoeListResp nacoeListResp = null;
        int pageNo = 0, pageSize = 30;
        do{
             nacoeListResp = nacosServiceRemote.serviceList(
                    NacosListReq.builder()
                            .pageNo(++pageNo)
                            .pageSize(pageSize)
                            .build());
             serverList.addAll(nacoeListResp.getDoms());
        }while (nacoeListResp.getCount() > pageNo * pageSize );
        return serverList;
    }
}
